Insider Trades
Get insider transactions from SEC Form 3, 4, and 5 filings.
GET
/api/v1/companies/{cik_or_ticker}/insider-trades Cost: 200 creditsParameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| cik_or_ticker | string | Required | Company CIK or ticker symbol |
| limit | integer | Optional (50) | Max results (max 200) |
Code examples
curl -H "X-API-Key: YOUR_API_KEY" \
"https://api.beefi.ai/api/v1/companies/TSLA/insider-trades?limit=10"Try it
GET
/companies/{cik_or_ticker}/insider-tradesResponse
[
{
"insider_name": "Elon Musk",
"insider_title": "CEO",
"transaction_type": "S-Sale",
"transaction_date": "2024-01-15",
"shares": 50000,
"price_per_share": 218.45,
"total_value": 10922500,
"shares_owned_after": 411062076,
"form_type": "4",
"filing_date": "2024-01-17"
}
]